/**
 * <copyright>
 * </copyright>
 *
 * $Id: BehavioralFeatureValidator.java,v 1.1 2008-04-01 09:35:40 vmahe Exp $
 */
package orgomg.cwm.objectmodel.behavioral.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.objectmodel.behavioral.Parameter;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.behavioral.BehavioralFeature}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface BehavioralFeatureValidator {
	boolean validate();

	boolean validateIsQuery(boolean value);
	boolean validateParameter(EList<Parameter> value);
}
